#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Pod
%define		pnam	POM-View-Restructured
%include	/usr/lib/rpm/macros.perl
Summary:	Pod::POM::View::Restructured - View for Pod::POM that outputs reStructuredText
Name:		perl-Pod-POM-View-Restructured
Version:	1.000002
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Pod/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	638084b3c8df3361d523a6f50bf58db9
URL:		https://metacpan.org/release/Pod-POM-View-Restructured/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Pod-POM
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module outputs reStructuredText that is expected to be used with
Sphinx. Verbatim sections (indented paragraphs) in the POD will be
output with syntax highlighting for Perl code by default. See /"POD
commands specifically for reStructuredText" for how to change this for
a particular block.

For a list of changes in recent versions, see the documentation for
Pod::POM::View::Restructured::Changes.

This module can be downloaded from
http://www.cpan.org/authors/id/D/DO/DOWENS/.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog INSTALL README
%attr(755,root,root) %{_bindir}/pod2rst
%{perl_vendorlib}/Pod/POM/View/*.pm
%{_mandir}/man1/pod2rst.1p*
%{_mandir}/man3/Pod::POM::View::Restructured.3pm*
%changelog
* Tue Dec 11 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Pod-POM-View-Restructured.git;a=log;h=master

* Tue Dec 11 2018 Adam Gołębiowski <adamg@pld-linux.org> 43ee2ef
- new

